Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface SearchControl<T>

All Known Subinterfaces:
  CmExpressionSearchControl, CmFullTextSearchControl<Node>, EnterpriseSearchControl, ExpressionSearchControl<T>, FullTextSearchControl<T>, GsExpressionSearchControl<T>, GsFullTextSearchControl<T>, RepoFullTextSearchControl<T>, RepoSearchControl<T>

    public interface SearchControl<T>

This is the base interface for all GroupSpace search controls.

Method Summary
`List<T>` | `asList(SortableFilterablePagedResult<T> searchResults)` Load all search results into memory and return as a List.
`Set<T>` | `asSet(SortableFilterablePagedResult<T> searchResults)` Load all search results into memory and return as a List.
`void` | `flushSearchCache()` Flush the search cache containing the search results
`SortCriteria[]` | `getSortCriteria()` Get sort criteria already set on the control
`void` | `setSortCriteria(SortCriteria[] sortCriteria)` Optionally add sort criteria to the search.

Method Detail

### asList

    List<T> asList(SortableFilterablePagedResult<T> searchResults)

  Load all search results into memory and return as a List. Returns an empty list if nothing found.

### asSet

    Set<T> asSet(SortableFilterablePagedResult<T> searchResults)

  Load all search results into memory and return as a List. Returns an empty set if nothing found.

### setSortCriteria

    void setSortCriteria(SortCriteria[] sortCriteria)

  Optionally add sort criteria to the search. This overrides any existing sort criteria set on this control.

### getSortCriteria

    SortCriteria[] getSortCriteria()

  Get sort criteria already set on the control

### flushSearchCache

    void flushSearchCache()

  Flush the search cache containing the search results

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved